# Update a calendar event

`POST https://backend.estactics.com/api/calendarEvents/update`

Changes an event. Send only the fields you want to change.

Authentication: `Authorization: Bearer YOUR_API_KEY`.

## Body parameters

- `id` (integer, required): ID of the event.
- `eventType` (EVENT | FRONTAL_MEETING | ONLINE_MEETING | VIEWING | FOLLOW_UP): Kind of event.
- `title` (string): Event title.
- `notes` (string): Notes.
- `isAllDay` (boolean): True for an all-day event.
- `startsAt` (string): Start date and time.
- `endsAt` (string): End date and time.
- `startsAtDate` (string): Start date, for all-day events.
- `endsAtDate` (string): End date, for all-day events.
- `relatedClientId` (integer): ID of the client this event is about.
- `relatedPropertyId` (integer): ID of the property this event is about.
- `usersInvitesIds` (array of integer): IDs of the invited team members.

## Example request body

```json
{
  "id": 201,
  "title": "Viewing moved"
}
```

## Example response

```json
{
  "success": true,
  "data": {
    "id": 201,
    "organizationId": 7,
    "userId": 18,
    "eventType": "VIEWING",
    "relatedClientId": 1042,
    "relatedPropertyId": null
  }
}
```
